require 'resolv'

# Regex to verify a valid hostname per RFC 1123.
VALID_HOSTNAME_REGEX = "^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9\-]*[A-Za-z0-9])$"

def validate_address(input)
  if input.match(VALID_HOSTNAME_REGEX) || input.match(Resolv::IPv4::Regex)
    input
  else
    nil
  end
end
